#import "@preview/wrap-it:0.1.1": *

== Protokolle <protocol>

#figure(
  image("../../images/protocol-overview.png", width: 100%),
)
FF Admin bietet auch die Möglichkeit, Protokolle zu erfassen. Die Protokolle können An- und Abwesenheiten, Abstimmungen, Beschlüsse sowie die besprochenen Themen enthalten. Die Protokolle können auch als PDF exportiert werden.
\
\
Jedes Protokoll enthält einen Titel sowie ein Datum mit Anfangs- und Endzeit. Zusätzlich kann eine Zusammenfassung verfasst werden, die beim Ausdruck des Protokolls an den Anfang gestellt wird.

Die *Anwesenheit* kann nur Mitglieder erfassen, die in der Mitgliederverwaltung angelegt wurden. Bei den Anwesenheiten können Mitglieder gesucht und dem Protokoll hinzugefügt werden. Zusätzlich kann gespeichert werden, ob ein Mitglied entschuldigt oder unentschuldigt abwesend war.
Je nach Anwesenheit werden die Mitglieder auf dem pdf unter verschiedenen Positionen ausgedruckt.

*Abstimmungen* können ebenfalls erfasst werden. Eine Abstimmung besteht aus einem Titel und einer Beschreibung. Zusätzlich kann das Ergebnis mit der Anzahl der Ja-, Nein- und Enthaltungsstimmen angegeben werden.

Die *Beschlüsse* sind als separate Auflistung von Sitzungen gedacht. Diese sollen noch einmal klar und gesondert hervorheben, was alles beschlossen wurde.

Das *Protokoll* selbst besteht aus vielen Punkten, die in der Sitzung besprochen wurden. Es wird immer mit Titel und Beschreibung erfasst.

Jedes Protokoll kann gedruckt werden. Die erstellten pdf-Dateien können heruntergeladen oder direkt in FF Admin angezeigt werden. Jedes pdf enthält die Daten des Protokolls und ordnet diese in Listen an.
\
\
#wrap-content(
  figure(
    image("../../images/protocol-sort.png", width: 1.5cm),
  ),
  align: right
)[
Die einzelnen Einträge können über Pfeile am Ende eines Eintrags nach oben oder unten verschoben werden. Dadurch kann die Reihenfolge geändert werden, wenn Inhalte nachträglich ergänzt werden.

Die Sortierung wird im Druck berücksichtigt.

Um Einträge löschen zu können, muss der Mülleimer mit einer Doppelte-Klick-Bestätigung angeklickt werden. Nach erstmaligem Klicken, beginnt der Mülleimer nach kurzer Verzögerung für 2 Sekunden weiß zu pulsieren. Während dieser Dauer wird ein zweiter Klick auf den Eimer als Bestätigung zum löschen gewertet.
]
\
\
*Hinweis:* Die Wolke in der rechten oberen Ecke zeigt den Status der Synchronisation an. Durch Klicken auf eine Wolke mit einem Pfeil kann die Synchronisation manuell durchgeführt werden. Ansonsten wird alle 10 Sekunden synchronisiert.
\
\
*Hinweis:* Ein Protokoll kann derzeit nicht kollaborativ geschrieben werden. Bei paralleler Arbeit am Protokoll überschreiben sich die Inhalte der Bearbeiter immer gegenseitig.