#import "@preview/wrap-it:0.1.1": *

== Newsletter <newsletter>

#figure(
  image("../../images/newsletter-overview.png", width: 100%),
)
Ein weiteres Modul ermöglicht den Versand von Newslettern. Die Newsletter können per E-Mail versendet oder als PDF exportiert werden. Die Newsletter können mit eigenen Texten und Terminen gestaltet werden.
\
\
Ein Newsletter kann mit einem Titel und einer Zusammenfassung beschrieben werden. Diese Inhalte sind nicht direkt in den Exporten enthalten und dienen in erster Linie der besseren Übersicht.

Die *Daten*, die für einen Newsletter angegeben werden können, sind eine Überschrift, ein (Einleitungs-)Text und eine Signatur.

Zusätzlich können *Termine* ausgewählt werden, die dann direkt im Newsletter aufgelistet werden. Für jeden Termin können Titel und Beschreibung geändert werden. Dient ein Newsletter der reinen Informationsvermittlung, kann der Text verwendet werden. Es müssen keine Termine hinzugefügt werden.

Die *Empfänger* des Newsletters können automatisiert über Abfragen (@query) erfasst werden. Die Empfänger werden dann mit ihrem bevorzugten Empfangs-Kommunikationskanal angezeigt. Die Empfänger werden aus der Abfrage anhand einer vorhandenen `memberId` oder `id` Spalte ermittelt. 

Zusätzlich können Empfänger manuell hinzugefügt werden, falls diese nicht in der Abfrage enthalten sind. Ein doppelter Versand aufgrund der manuellen Angabe und Bezug über einen Query ist nicht möglich.

#wrap-content(
  figure(
    image("../../images/newsletter-recipients-modal.png", width: 6.5cm),
  ),
)[
Der *Export* kann als pdf oder als Mailversand erfolgen. Jedes Mitglied, das eine Mailadresse für den Empfang angegeben hat, erhält eine Mail mit dem Hauptteil des Newsletters. Für alle anderen wird ein PDF erzeugt. Das PDF enthält in der Fußzeile den Namen und optional eine Adresse, falls eine solche für den Versand des Newsletters beim Mitglied angegeben ist.
\
\
Bevor ein Druck oder Versand gestartet werden kann, wird ein Dialog angezeigt, über welchen die Empfänger eingesehen werden können. 
\
\
Ob ein Newsletter als pdf oder Mail erstellt wird, kann in der Newsletter-Konfiguration definiert werden.
]

#figure(
  image("../../images/newsletter-config.png", width: 100%),
)

Für jede Kommunikationsart kann festgelegt werden, ob eine E-Mail versendet, ein PDF mit Adresse oder ein PDF ohne Adresse erzeugt werden soll. Sind die erforderlichen Daten für die Auswahl Mailversand oder PDF-Druck mit Adresse nicht vorhanden, wird als Fallback auf ein PDF ohne Adresse umgeschaltet.
\
\
Um den Ausdruck zu vereinfachen, werden alle erzeugten PDFs in einem einzigen PDF zusammengefasst.
\
\
Zusätzlich wird eine ICS-Datei erstellt, die alle Termine enthält, die dem Newsletter hinzugefügt wurden. Diese wird ebenfalls direkt mit der Mail versendet. Zusätzlich wird noch ein PDF erstellt, welches in der Fußzeile an den Verein adressiert ist und somit an alle Mitglieder z.B. in einer WhatsApp Gruppe verteilt werden kann.
\
\
*Hinweis:* Die Wolke in der rechten oberen Ecke zeigt den Status der Synchronisation an. Durch Klicken auf eine Wolke mit einem Pfeil kann die Synchronisation manuell durchgeführt werden. Ansonsten wird alle 10 Sekunden synchronisiert.
\
\
*Hinweis:* Ein Newsletter kann derzeit nicht kollaborativ geschrieben werden. Bei paralleler Arbeit am Newsletter überschreiben sich die Inhalte der Bearbeiter immer gegenseitig.