#import "typst/template.typ": template
#import "typst/utils.typ": *

#show: template.with(
  logo: "../webpage/logo.png",
  title: "Anleitung",
  alttitle: "Anleitung zu FF Webpage bis v1.3.x",
  subtitle: "bis v1.3.x",
  details: (
    "Open Source Software",
    "entwickelt durch JK Effects",
    "von Julian Krauser",
  ),
  authors: (
    (name: "Krauser Julian"),
  ),
  // abstract: [
  //   #include "webpage/content/abstract.typ"
  // ],
  glossary: (
    (key: "single-type", short: "Single Type", desc: [Speicher eines einzelnen Eintrags eines bestimmten Typs.]),
    (key: "collection-type", short: "Collection Type", desc: [Speicher einer Auflistung an Einträgen eines bestimmten Typs.]),
    (key: "slug", short: "Slug", desc: [Identifikation eines Eintrags über den Wert eines Feldes, welcher einzigartig ist. Slugs können automatisiert erstellt werden.]),
  ),
  attachments: (
    // (title: "attach", file: "../webpage/attachments/filename.type", ref: "ref", description:"description"),
  ),
  keywords: (
    "FF Webpage",
    "Webseitebaukasten",
    "Strapi",
    "Feuerwehr",
  ),
)

#include "webpage/content/1-intro.typ"

#include "webpage/content/2-installation.typ"

#include "webpage/content/3-strapi.typ"