#import "typst/template.typ": template
#import "typst/utils.typ": *

#show: template.with(
  logo: "../operation/logo.png",
  title: "Anleitung",
  alttitle: "Anleitung zu FF Operation bis v1.0.x",
  subtitle: "bis v1.0.x",
  details: (
    "Open Source Software",
    "entwickelt durch JK Effects",
    "von Julian Krauser",
  ),
  authors: (
    (name: "Krauser Julian"),
  ),
  // abstract: [
  //   #include "operation/content/abstract.typ"
  // ],
  glossary: (
    // (key: "key", short: "short", long: "long", desc: [description]),
  ),
  attachments: (
    // (title: "attach", file: "../operation/attachments/filename.type", ref: "ref", description:"description"),
  ),
  keywords: (
    "FF Operation",
    "Einsatzverwaltung",
    "Feuerwehr"
  ),
)

#include "operation/content/1-intro.typ"

#include "operation/content/2-installation.typ"

= Konzepte
== Stammdaten
== Berechtigungen
== Echtzeit-Kollaboration

= Module
== Einsatzdaten
== Stammdaten
== Benutzer und Rollenverwaltung
== FF Admin Anbindung

= Ökosystem
Datenübernahme